This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 818678 - [as7] "JBAS014662: Duplicate path element 'server' found" errors in AS/EAP server log caused by management requests sent by as7 plugin
[as7] "JBAS014662: Duplicate path element 'server' found" errors in AS/EAP se...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: Heiko W. Rupp
Mike Foley
:
: 844647 (view as bug list)
Depends On:
Blocks: as7-plugin 823564
  Show dependency treegraph
 
Reported: 2012-05-03 13:47 EDT by Ian Springer
Modified: 2013-09-03 11:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
EAP 6.0.0.ER6
Last Closed: 2013-09-03 11:04:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-03 13:47:17 EDT
I see a whole bunch of the following errors flooding my EAP 6.0 ER6 host controller's log after I have imported it into RHQ:

[Host Controller] 13:23:47,664 ERROR [org.jboss.as.domain.http.api] (HttpManagementService-threads - 4) JBAS015100: Unexpected error executing model request: org.jboss.as.controller.OperationFailedRuntimeException: JBAS014662: Duplicate path element 'server' found [ "JBAS014662: Duplicate path element 'server' found" ]
[Host Controller] 	at org.jboss.as.controller.PathAddress.duplicateElement(PathAddress.java:136) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.PathAddress.pathAddress(PathAddress.java:96) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.AbstractOperationContext$Step.<init>(AbstractOperationContext.java:624) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.AbstractOperationContext$Step.<init>(AbstractOperationContext.java:611) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.AbstractOperationContext.addStep(AbstractOperationContext.java:185) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.AbstractOperationContext.addStep(AbstractOperationContext.java:137) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.AbstractOperationContext.addStep(AbstractOperationContext.java:126) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.ModelControllerImpl.execute(ModelControllerImpl.java:119) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.ModelControllerImpl$1.execute(ModelControllerImpl.java:309) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.controller.ModelControllerImpl$1.execute(ModelControllerImpl.java:299) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.domain.http.server.DomainApiHandler.processRequest(DomainApiHandler.java:298) [jboss-as-domain-http-interface-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.domain.http.server.DomainApiHandler.doHandle(DomainApiHandler.java:204) [jboss-as-domain-http-interface-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.domain.http.server.DomainApiHandler.handle(DomainApiHandler.java:211) [jboss-as-domain-http-interface-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.as.domain.http.server.security.SubjectAssociationHandler.handle(SubjectAssociationHandler.java:51) [jboss-as-domain-http-interface-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:78)
[Host Controller] 	at org.jboss.sun.net.httpserver.AuthFilter.doFilter(AuthFilter.java:69)
[Host Controller] 	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:81)
[Host Controller] 	at org.jboss.sun.net.httpserver.ServerImpl$Exchange$LinkHandler.handle(ServerImpl.java:710)
[Host Controller] 	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:78)
[Host Controller] 	at org.jboss.as.domain.http.server.RealmReadinessFilter.doFilter(RealmReadinessFilter.java:54) [jboss-as-domain-http-interface-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
[Host Controller] 	at org.jboss.com.sun.net.httpserver.Filter$Chain.doFilter(Filter.java:81)
[Host Controller] 	at org.jboss.sun.net.httpserver.ServerImpl$Exchange.run(ServerImpl.java:682)
[Host Controller] 	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_30]
[Host Controller] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_30]
[Host Controller] 	at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_30]
[Host Controller] 	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.0.0.GA-redhat-1.jar:2.0.0.GA-redhat-1]
[Host Controller]
Comment 1 Heiko W. Rupp 2012-05-04 05:00:09 EDT
This is a bug in AS7 : https://issues.jboss.org/browse/AS7-4709 and nothing we 
can do about.
Comment 2 Heiko W. Rupp 2012-05-04 05:22:56 EDT
We need to watch this anyway, as it might mean that the server=x resource below mail-session gets renamed.
Comment 3 Heiko W. Rupp 2012-05-08 09:48:56 EDT
As7 has releaxed the validation rules so that 

with an address of /host=x/server=y/* the server key may show up more than once
Comment 5 Stefan Negrea 2012-05-18 18:01:25 EDT
The underlying AS7 server problem has been resolved. The errors are no longer in the log. No code changes required in RHQ.
Comment 6 Libor Zoubek 2012-05-28 10:24:31 EDT
verified on JON 3.1.ER6
Comment 7 mark yarborough 2012-11-20 16:18:25 EST
*** Bug 844647 has been marked as a duplicate of this bug. ***
Comment 9 Heiko W. Rupp 2013-09-03 11:04:38 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.